(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('tslib'), require('react')) :
  typeof define === 'function' && define.amd ? define(['exports', 'tslib', 'react'], factory) :
  (factory((global.VericusSlateKitHighlightTextRenderer = {}),global.TSLib,global.React));
}(this, (function (exports,tslib_1,React) { 'use strict';

  function createRenderMark(type) {
      var _a;
      return {
          marks: (_a = {},
              _a[type] = function (props) {
                  var attributes = props.attributes, children = props.children, className = props.className;
                  return (React.createElement("span", tslib_1.__assign({}, attributes, { className: className }), children));
              },
              _a)
      };
  }

  function createRenderer(type) {
      return {
          renderers: createRenderMark(type)
      };
  }

  exports.createRenderer = createRenderer;
  exports.default = createRenderer;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=slate-kit-highlight-text-renderer.js.map
