import { __assign } from 'tslib';
import { createElement } from 'react';

function createRenderMark(type) {
    var _a;
    return {
        marks: (_a = {},
            _a[type] = function (props) {
                var attributes = props.attributes, children = props.children, className = props.className;
                return (createElement("span", __assign({}, attributes, { className: className }), children));
            },
            _a)
    };
}

function createRenderer(type) {
    return {
        renderers: createRenderMark(type)
    };
}

export default createRenderer;
export { createRenderer };
//# sourceMappingURL=slate-kit-highlight-text-renderer.es.js.map
