'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib_1 = require('tslib');
var React = require('react');

function createRenderMark(type) {
    var _a;
    return {
        marks: (_a = {},
            _a[type] = function (props) {
                var attributes = props.attributes, children = props.children, className = props.className;
                return (React.createElement("span", tslib_1.__assign({}, attributes, { className: className }), children));
            },
            _a)
    };
}

function createRenderer(type) {
    return {
        renderers: createRenderMark(type)
    };
}

exports.createRenderer = createRenderer;
exports.default = createRenderer;
//# sourceMappingURL=slate-kit-highlight-text-renderer.js.map
